Matcher (Grails 3.1.4)
Date: 2016-03-16

Package: grails.interceptors

## [Groovy] Interface Matcher

- A Matcher is used to configure matching for Interceptor instances

  Authors:
    Graeme Rocher
  See Also:
    Interceptor.match
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `THROWABLE`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `doesMatch(java.lang.String uri, UrlMappingInfo info)` Checks whether the given UrlMappingInfo matches
    `Matcher` | `except(java.util.Map arguments)` Synonym for Matcher.excludes
    `Matcher` | `excludes(java.util.Map arguments)` Adds an exclusion for the given arguments
    `Matcher` | `excludes(groovy.lang.Closure<java.lang.Boolean> condition)` Adds an exclusion that is calculated by the given closure
    `Matcher` | `matchAll()` Indicate that this matcher should match all requests
    `Matcher` | `matches(java.util.Map arguments)` Defines the match for the given arguments

- - ### Property Detail

    - #### java.lang.String THROWABLE

  - ### Method Detail

    - #### boolean doesMatch(java.lang.String uri, UrlMappingInfo info)

      Checks whether the given UrlMappingInfo matches

      Parameters:
        `info` - The UrlMappingInfo to check
      Returns:
        True if it does match

    - #### Matcher except(java.util.Map arguments)

      Synonym for Matcher.excludes

    - #### Matcher excludes(java.util.Map arguments)

      Adds an exclusion for the given arguments

      Parameters:
        `arguments` - A named argument map including one or more of the controller name, action name, namespace and method
      Returns:
        This matcher

    - #### Matcher excludes(@groovy.lang.DelegatesTo(Interceptor) groovy.lang.Closure<java.lang.Boolean> condition)

      Adds an exclusion that is calculated by the given closure

      Parameters:
        `condition` - The condition, a closure which has full access to the properties of the groovy.lang.Interceptor
      Returns:
        This matcher

    - #### Matcher matchAll()

      Indicate that this matcher should match all requests

      Returns:
        This matcher

    - #### Matcher matches(java.util.Map arguments)

      Defines the match for the given arguments

      Parameters:
        `arguments` - A named argument map including one or more of the controller name, action name, namespace and method
      Returns:
        This matcher